midi_loop_start(3)

NAME
midi_loop_start, midi_loop_end - Loop start and end points, set by play_looped_midi(). Allegro game programming library.

SYNOPSIS
#include <allegro.h>

extern long midi_loop_start; extern long midi_loop_end;

DESCRIPTION
The loop start and end points, set by the play_looped_midi() function. These may safely be altered while the music is playing, but you should be sure they are always set to sensible values (start < end). If you are changing them both at the same time, make sure to alter them in the right order in case a MIDI interrupt happens to occur in between your two writes! Setting these values to -1 represents the start and end of the file respectively.

SEE ALSO
play_looped_midi(3)